KParts::DockMainWindow class Reference (kparts Library)

| # kparts Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# KParts::DockMainWindow Class Reference

A KPart-aware main window with ability for docking widgets, whose user interface is described in XML. More...

`#include <dockmainwindow.h>`

Inheritance diagram for KParts::DockMainWindow:

[legend]
Collaboration diagram for KParts::DockMainWindow:

[legend]
List of all members.

## Public Member Functions
| DockMainWindow (QWidget *parent=0L, const char *name=0L, WFlags f=WDestructiveClose)
| Constructor, same signature as KDockMainWindow.
virtual | ~DockMainWindow ()
| Destructor.
## Protected Slots
void | createGUI (KParts::Part *part)
| Create the GUI (by merging the host's and the active part's).
virtual void | slotSetStatusBarText (const QString &)
| Called when the active part wants to change the statusbar message Reimplement if your dock-mainwindow has a complex statusbar (with several items).
## Protected Member Functions
virtual void | createShellGUI (bool create=true)

## Detailed Description

A KPart-aware main window with ability for docking widgets, whose user interface is described in XML.

Inherit your main dock-window from this class and don't forget to call setXMLFile() in the inherited constructor.

It implements all internal interfaces in the case of a KDockMainWindow as host: the builder and servant interface (for menu merging).

Definition at line 47 of file dockmainwindow.h.

## Constructor & Destructor Documentation

DockMainWindow::DockMainWindow | ( | QWidget * | parent = 0L,
|  | const char * | name = 0L,
|  | WFlags | f = WDestructiveClose
| ) |

| Constructor, same signature as KDockMainWindow. Definition at line 61 of file dockmainwindow.cpp. References KStdAccel::name().

DockMainWindow::~DockMainWindow | ( |  | ) | `[virtual]`

| Destructor. Definition at line 68 of file dockmainwindow.cpp.

## Member Function Documentation

void DockMainWindow::createGUI | ( | KParts::Part * | part | ) | `[protected, slot]`

  | Create the GUI (by merging the host's and the active part's). Called on startup and whenever the active part changes For this you need to connect this slot to the KPartManager::activePartChanged() signal Parameters:
  part | The active part (set to 0L if no part).
Definition at line 73 of file dockmainwindow.cpp. References KXMLGUIFactory::addClient(), KXMLGUIClient::factory(), KMainWindow::guiFactory(), KGlobal::instance(), KParts::PartBase::loadPlugins(), QObject::name(), KXMLGUIFactory::removeClient(), QApplication::sendEvent(), KMainWindow::setCaption(), and slotSetStatusBarText().

void DockMainWindow::slotSetStatusBarText | ( | const QString & |  | ) | `[protected, virtual, slot]`

| Called when the active part wants to change the statusbar message Reimplement if your dock-mainwindow has a complex statusbar (with several items). Definition at line 125 of file dockmainwindow.cpp. References QStatusBar::message(), and KMainWindow::statusBar(). Referenced by createGUI().

The documentation for this class was generated from the following files:

- dockmainwindow.h
- dockmainwindow.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:26:55 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001